% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_release_hosts}
\alias{ec2_release_hosts}
\title{When you no longer want to use an On-Demand Dedicated Host it can be
released}
\usage{
ec2_release_hosts(HostIds)
}
\arguments{
\item{HostIds}{[required] The IDs of the Dedicated Hosts to release.}
}
\value{
A list with the following syntax:\preformatted{list(
  Successful = list(
    "string"
  ),
  Unsuccessful = list(
    list(
      Error = list(
        Code = "string",
        Message = "string"
      ),
      ResourceId = "string"
    )
  )
)
}
}
\description{
When you no longer want to use an On-Demand Dedicated Host it can be
released. On-Demand billing is stopped and the host goes into \code{released}
state. The host ID of Dedicated Hosts that have been released can no
longer be specified in another request, for example, to modify the host.
You must stop or terminate all instances on a host before it can be
released.

When Dedicated Hosts are released, it may take some time for them to
stop counting toward your limit and you may receive capacity errors when
trying to allocate new Dedicated Hosts. Wait a few minutes and then try
again.

Released hosts still appear in a \code{\link[=ec2_describe_hosts]{describe_hosts}}
response.
}
\section{Request syntax}{
\preformatted{svc$release_hosts(
  HostIds = list(
    "string"
  )
)
}
}

\keyword{internal}
